<%@page pageEncoding="UTF-8"%>
<%--
/**
 * フレームワークJSP共通ヘッダタグソース<br>
 * <br>
 * Strutsアドオンモジュールを利用する場合にスタイルシートやスクリプトのロード等を定義するヘッダタグソースが定義されます。<br>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2010/07/19	Kitagawa			新規作成
 *--/
 */
--%>
<%--
/**
 * metaタグ
 */ 
--%>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=${f:cfg('common.charset.default')}" />
<meta http-equiv="pragma" content="no-cache" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<%--
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" />
<meta http-equiv="X-UA-Compatible" content="IE=8" />
--%>

<%--
/**
 * ショートカットアイコン
 */ 
--%>
<link rel="shortcut icon" href="${f:res('/images/favicon-512x512.png')}" type="image/png" />

<%--
/**
 * アプリケーションタイトル
 */ 
--%>
<title>${f:h(f:cfg('common.application.title'))}</title>

<%--
/**
 * スタイルシート定義
 */ 
--%>
<%-- // jQueryテーマスタイルシート --%>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-lightgreen/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-lightgreen" disabled="disabled"/>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-lightblue/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-lightblue" disabled="disabled"/>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-brown/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-brown" disabled="disabled"/>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-pink/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-pink" disabled="disabled"/>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-monotone/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-monotone" disabled="disabled"/>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/ui-lightness/jquery-ui-1.8.21.custom.css')}" class="ui-theme" title="ui-lightness" disabled="disabled"/>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/redmond/jquery-ui-1.10.2.custom.min.css')}" class="ui-theme" title="redmond"/>
<%-- // フレームワークスタイルシート --%>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/general.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/common.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/layout.css')}" />
<%-- // jQueryテーマオーバーライドスタイルシート --%>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/jquery-override.css')}" />

<%--
/**
 * スクリプト定義
 */ 
--%>
<%-- // jQuery関連スクリプト --%>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery-1.9.0.js')}"></script>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery.cookie.js')}"></script>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery-ui-1.10.0.custom.js')}"></script>
<%-- // サーバサイドメッセージアクセススクリプト --%>
<script type="text/javascript" src="${f:res(f:cfg('common.webxml.jsmsg.url'))}"></script>
<%-- // フレームワークスクリプト --%>
<script type="text/javascript" src="${f:res('/scripts/org/phosphoresce/DependResolver.js')}"></script>

<%--
/**
 * スクリプト初期化処理
 */ 
--%>
<%-- // フレームワークスクリプト初期化 --%>
<script type="text/javascript">
	DependResolver.init({
		scriptPath : "${pageContext.request.contextPath}/scripts", 
		ignoreCache : true
	});
	DependResolver.load("JQueryExtends");
	DependResolver.load("Browser");
	DependResolver.load("Content");
	DependResolver.load("Dialog");
	DependResolver.load("LockLayer");
	DependResolver.load("StringEx");
	DependResolver.load("WindowEx");
	DependResolver.load("FieldCorrector");
	DependResolver.load("FieldValidator");
	DependResolver.load("ElementUtil");
	DependResolver.load("EventUtil");
	DependResolver.load("LayoutUtil");
	DependResolver.load("ObjectUtil");
	DependResolver.load("StringUtil");
	DependResolver.load("ScriptUtil");
	DependResolver.load("UniqueID");
	DependResolver.load("Environment");
	DependResolver.load("Submit");
</script>
<%-- // サーブレット実行環境初期化 --%>
<script type="text/javascript">
	Environment.REQUEST_CONTEXT_PATH = "${pageContext.request.contextPath}";
	Environment.SERVLET_PATH = "${pageContext.request.servletPath}";
</script>
